#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    scanf("%i", &n);
    int ljudi[n], grupe[n];
    long bananice[n];
    for(int i=0;i<n;i++) {
        scanf("%i %ld %i", &ljudi[i], &bananice[i], &grupe[i]);
    }
    for(int i=0;i<n;i++) {
        int ljudiugrupi = ljudi[i] / grupe[i];
        int ostalih = ljudi[i] % grupe[i];
        int zbir = 0;
        for(int j=1;j<=ljudiugrupi;j++) {
            zbir+=j;
        }
        if(bananice[i] - zbir*n - (ljudiugrupi+1)*ostalih >= 0) {
            printf("Tak\n");
        } else {
            printf("Nie\n");
        }
    }
    return 0;
}